#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk

export QT_SELECT=qt5

DHFLAGS=--parallel

%:
	dh $@ $(DHFLAGS)

override_dh_auto_configure:
	dh_auto_configure --sourcedirectory=cdmanager/powerej -- powerej.pro QMAKE_CFLAGS="${CPPFLAGS} ${CFLAGS}" QMAKE_CXXFLAGS="${CPPFLAGS} ${CXXFLAGS}" QMAKE_LFLAGS="${LDFLAGS}" $(QMAKE_OPTS)
	dh_auto_configure $(DHFLAGS)

override_dh_auto_build:
	$(MAKE) -C cdmanager/powerej
	dh_auto_build $(DHFLAGS)

override_dh_install:
	mkdir -p debian/x2gothinclient-displaymanager/usr/share/x2go/versions/
	cp VERSION debian/x2gothinclient-displaymanager/usr/share/x2go/versions/VERSION.x2gothinclient-dispaymanager
	mkdir -p debian/x2gothinclient-minidesktop/usr/share/x2go/versions/
	cp VERSION debian/x2gothinclient-minidesktop/usr/share/x2go/versions/VERSION.x2gothinclient-minidesktop
	mkdir -p debian/x2gothinclient-management/usr/share/x2go/versions/
	cp VERSION debian/x2gothinclient-management/usr/share/x2go/versions/VERSION.x2gothinclient-management
	dh_install

override_dh_clean:
	[ ! -f cdmanager/powerej/Makefile ] || $(MAKE) -C cdmanager/powerej distclean
	rm -f cdmanager/powerej/qmake_qmake_immediate.qrc
	dh_clean

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..
